| EntityCloneConfigActionTest::setUp |
function |
core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php |
|
| EntityCloneConfigActionTest::testCloneWithWildcards |
function |
core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php |
Tests wildcard support, which allows positional tokens in the clone's ID. |
| EntityCloneConfigActionTest::testErrorIfOriginalDoesNotExist |
function |
core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php |
Tests error if original entity does not exist. |
| EntityCloneConfigActionTest::testFailIfEntityExists |
function |
core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php |
Tests that the action can be configured to fail if the clone exists. |
| EntityCloneConfigActionTest::testNoErrorWithExistingEntity |
function |
core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php |
Tests no error is thrown when an entity with the same ID already exists. |
| EntityCloneConfigActionTest::testSuccessfulClone |
function |
core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php |
Tests successful clone. |
| EntityComment |
class |
core/modules/comment/src/Plugin/migrate/destination/EntityComment.php |
Comment entity destination. |
| EntityComment.php |
file |
core/modules/comment/src/Plugin/migrate/destination/EntityComment.php |
|
| EntityComment::$state |
property |
core/modules/comment/src/Plugin/migrate/destination/EntityComment.php |
The state storage object. |
| EntityComment::$stubCommentedEntityIds |
property |
core/modules/comment/src/Plugin/migrate/destination/EntityComment.php |
An array of entity IDs for the 'commented entity' keyed by entity type. |
| EntityComment::create |
function |
core/modules/comment/src/Plugin/migrate/destination/EntityComment.php |
Instantiates a new instance of the implementing class using autowiring. |
| EntityComment::import |
function |
core/modules/comment/src/Plugin/migrate/destination/EntityComment.php |
|
| EntityComment::processStubRow |
function |
core/modules/comment/src/Plugin/migrate/destination/EntityComment.php |
Populates as much of the stub row as possible. |
| EntityComment::__construct |
function |
core/modules/comment/src/Plugin/migrate/destination/EntityComment.php |
Builds a comment entity destination. |
| EntityCommentType |
class |
core/modules/comment/src/Plugin/migrate/destination/EntityCommentType.php |
Comment type destination. |
| EntityCommentType.php |
file |
core/modules/comment/src/Plugin/migrate/destination/EntityCommentType.php |
|
| EntityCommentType::import |
function |
core/modules/comment/src/Plugin/migrate/destination/EntityCommentType.php |
Import the row. |
| EntityComputedFieldTest |
class |
core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php |
Tests that entities with computed fields work correctly. |
| EntityComputedFieldTest.php |
file |
core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php |
|
| EntityComputedFieldTest::$defaultTheme |
property |
core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php |
The theme to install as the default for testing. |
| EntityComputedFieldTest::$modules |
property |
core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php |
Modules to install. |
| EntityComputedFieldTest::$state |
property |
core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php |
The state service. |
| EntityComputedFieldTest::setUp |
function |
core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php |
|
| EntityComputedFieldTest::testFormatterComputedFieldCacheableMetadata |
function |
core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php |
Tests that formatters bubble the cacheable metadata of computed fields. |
| EntityConcurrentRenderTest |
class |
core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php |
Tests that the same entity can be rendered multiple times on a page. |
| EntityConcurrentRenderTest.php |
file |
core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php |
|
| EntityConcurrentRenderTest::$defaultTheme |
property |
core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php |
The theme to install as the default for testing. |
| EntityConcurrentRenderTest::$modules |
property |
core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php |
Modules to install. |
| EntityConcurrentRenderTest::setUp |
function |
core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php |
|
| EntityConcurrentRenderTest::testSameEntityInMultipleBlocks |
function |
core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php |
Tests that two blocks rendering the same entity both produce output. |
| EntityCondition |
class |
core/modules/jsonapi/src/Query/EntityCondition.php |
A condition object for the EntityQuery. |
| EntityCondition.php |
file |
core/modules/jsonapi/src/Query/EntityCondition.php |
|
| EntityCondition::$allowedOperators |
property |
core/modules/jsonapi/src/Query/EntityCondition.php |
The allowed condition operators. |
| EntityCondition::$field |
property |
core/modules/jsonapi/src/Query/EntityCondition.php |
The field to be evaluated. |
| EntityCondition::$operator |
property |
core/modules/jsonapi/src/Query/EntityCondition.php |
The condition operator. |
| EntityCondition::$value |
property |
core/modules/jsonapi/src/Query/EntityCondition.php |
The value against which the field should be evaluated. |
| EntityCondition::createFromQueryParameter |
function |
core/modules/jsonapi/src/Query/EntityCondition.php |
Creates an EntityCondition object from a query parameter. |
| EntityCondition::field |
function |
core/modules/jsonapi/src/Query/EntityCondition.php |
The field to be evaluated. |
| EntityCondition::operator |
function |
core/modules/jsonapi/src/Query/EntityCondition.php |
The comparison operator to use for the evaluation. |
| EntityCondition::OPERATOR_KEY |
constant |
core/modules/jsonapi/src/Query/EntityCondition.php |
The operator key in the condition: filter[lorem][condition][<operator>]. |
| EntityCondition::PATH_KEY |
constant |
core/modules/jsonapi/src/Query/EntityCondition.php |
The field key in the filter condition: filter[lorem][condition][<field>]. |
| EntityCondition::validate |
function |
core/modules/jsonapi/src/Query/EntityCondition.php |
Validates the filter has the required fields. |
| EntityCondition::value |
function |
core/modules/jsonapi/src/Query/EntityCondition.php |
The value against which the condition should be evaluated. |
| EntityCondition::VALUE_KEY |
constant |
core/modules/jsonapi/src/Query/EntityCondition.php |
The value key in the filter condition: filter[lorem][condition][<value>]. |
| EntityCondition::__construct |
function |
core/modules/jsonapi/src/Query/EntityCondition.php |
Constructs a new EntityCondition object. |
| EntityConditionGroup |
class |
core/modules/jsonapi/src/Query/EntityConditionGroup.php |
A condition group for the EntityQuery. |
| EntityConditionGroup.php |
file |
core/modules/jsonapi/src/Query/EntityConditionGroup.php |
|
| EntityConditionGroup::$allowedConjunctions |
property |
core/modules/jsonapi/src/Query/EntityConditionGroup.php |
The AND conjunction value. |
| EntityConditionGroup::$conjunction |
property |
core/modules/jsonapi/src/Query/EntityConditionGroup.php |
The conjunction. |
| EntityConditionGroup::$members |
property |
core/modules/jsonapi/src/Query/EntityConditionGroup.php |
The members of the condition group. |